package com.lk.flowdown.util;

import com.lk.flowdown.widget.FlowLayout;

import android.content.Context;
import android.util.AttributeSet;

public class AttrValueGetter {
	public static int getDimensionPixelSize(Context context, String nameSpace, AttributeSet attrs, String attrParams, int defaultSize) {
		String value = attrs.getAttributeValue(nameSpace, attrParams);
		if(value != null) {
			int index = value.indexOf("dp");
			if(index == -1) {
				index = value.indexOf("dip");
				if(index == -1) {
					index = value.indexOf("sp");
					if(index == -1) {
						index = value.indexOf("px");
						if(index > -1) {
							return Integer.parseInt(value.substring(0, index));
						} else {
							index = value.indexOf("@dimen/");
							if(index > -1) 
								return context.getResources().getDimensionPixelSize(attrs.getAttributeResourceValue(nameSpace, attrParams, 0));
						}
					} else {
						return Integer.parseInt(value.substring(0, index));
					}
				} else {
					return SizeCal.dip2px(context, Integer.parseInt(value.substring(0, index)));
				}
			} else {
				return SizeCal.dip2px(context, Integer.parseInt(value.substring(0, index)));
			}
		}
		
		return defaultSize;
	}
	
	public static int getOrientation(String nameSpace, AttributeSet attrs, String attrParams, int defaultSize) {
		String value = attrs.getAttributeValue(nameSpace, attrParams);
		if(value != null) {
			if(value.equals("horizontal")) {
				return FlowLayout.HORIZONTAL;
			} else if(value.equals("vertical")) {
				return FlowLayout.VERTICAL;
			}
		}
		
		return defaultSize;
	}
}
